﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Activation;
using System.Web;

namespace WebApplicationWithWcf
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "DemoService" in code, svc and config file together.
    [System.ServiceModel.Activation.AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Required)]       // For at der kan anvendes Sesson

    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
    public class DemoService : IDemoService
    {

        public string GetServerDateTimeAsText()
        {
            return "ServerTime "+DateTime.Now.ToString("yyyy-MM-dd hh:mm:ss");
        }

        public DateTime GetServerDateTime()
        {
            return DateTime.Now;
        }

        public PersonData GetPerson(int selectID)
        {
            PersonData p = new PersonData(selectID,(20140301+(selectID%30)),("Barn den."+selectID));        // just some feedback
            return p;
        }

        public List<PersonData> GetSomePersons()
        {
            List<PersonData> plist = new List<PersonData>();
            for (int selectID = 1000; selectID <= 1005; ++selectID)
                plist.Add(new PersonData(1000, 20140301, ("Svend den " + selectID+".")));
            return plist;
        }

        private int count = 0;
        public int GetCounter()
        {
            if (HttpContext.Current.Session["count"] != null)
                count = (int)HttpContext.Current.Session["count"];
            ++count;
            HttpContext.Current.Session["count"] = count;
            return count;
        }
    }
}
