﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace WebApplicationWithWcf
{
    // for use with WCF - data must be public for transfer - if properties is used both get and set must be implemented as public

    [DataContract]
    public class PersonData
    {
        [DataMember]
        private int Id;
        [DataMember]
        public int BornDate { get; private set; }      // yyyymmdd
        [DataMember]
        public string Name { get; private set; }

        public PersonData(int id, int bornDate, string name)
        {
            this.Id = id;
            this.BornDate = bornDate;
            this.Name = name;
        }
        public string GetFirstname()
        {
            if (Name == null) return "null";
            string[] n = Name.Split(' ');
            return (n.Length < 1) ? "?" : n[0];  // <=> if (n.Length<1) return "?"; else return n[0];       typisk brugt af C og C++ programmører 
        }

    }

}